
CoCoALib - Support #262

Play with GIT

10 Oct 2012 16:44 - John Abbott

Status: New Start date: 10 Oct 2012

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Various Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 4.40 hours

Description

Anna & John: Use a temporary copy of CoCoALib to learn the various GIT commands.

Related issues:

Related to CoCoALib - Feature #215: Janet Bases: check and include code in Co... Closed 02 Aug 2012

History

#1 - 10 Oct 2012 17:22 - Christof Soeger

I used some of the ideas from

http://undefinedvalue.com/2010/07/02/workflow-remote-cvs-local-git

to use git on my side.

But you probably want to use git-cvsimport to create the initial git repository, that will import also the history from cvs.

#2 - 11 Oct 2012 19:07 - Anna Maria Bigatti

- Category set to Administration

Now we have a git copy of cocoalib to play with.

Moreover I tried to make a new small project (math exercises ;-) to practise on, but we need a server with git (now on "cocoa") and user accounts,

and a "group".

(now "cocoa" has only one user)

#3 - 28 Apr 2017 11:18 - Anna Maria Bigatti

- Project changed from CoCoA to CoCoALib

- Category changed from Administration to Various

- Target version set to CoCoALib-1.0

This issue was under "CoCoA" instead of "CoCoALib".

I'm recovering these old and forgotten issues, so we reconsider them.

#4 - 26 Nov 2021 17:08 - John Abbott

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99850

Florian and Bernhard suggest putting the source on Github/Gitlab.

#5 - 26 Nov 2021 17:10 - John Abbott
http://undefinedvalue.com/2010/07/02/workflow-remote-cvs-local-git


Does anyone have useful experience to help decide between Github/Gitlab/other?  And also how one goes about in practice?

#6 - 08 Mar 2023 19:54 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880
